Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.expression
Interface IMetadataQueryParameter

    public interface IMetadataQueryParameter

The interface for metadata query parameter. Here is an example of how to use it:

      IMetadataQuery mQuery = FullTextQueryFactory.getMetadataQuery();
      IMetadataQueryParameter ftqp2 = mQuery.buildEquals(IMetadataQuery.SystemProperty.cm_binaryName, "cm.pdf");
      IFullTextSearch fullTextSearch = FullTextSearchFactory.buildFullTextSearch(ftqp2, null, false);
      Search search = new Search(null, -1, null, fullTextSearch, true);
      ISearchManager searchManager = ContentManagerFactory.getSearchManager();
      ContentContext context = new ContentContext();
      IPagedList nodes = searchManager.search(context, search);

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`IMetadataQueryParameter` | `and(IMetadataQueryParameter param)` AND two metadata query parameters
`IMetadataQueryParameter` | `not(IMetadataQueryParameter param)` NOT two metadata query parameters
`IMetadataQueryParameter` | `or(IMetadataQueryParameter param)` OR two metadata query parameters
`void` | `setMultiplicity(IMetadataQuery.Multiplicity multiplicity)` Set the `Multiplicity` of a metadata query parameter

Method Detail

### and

    IMetadataQueryParameter and(IMetadataQueryParameter param)

  AND two metadata query parameters

  Parameters
    `param` -
  Returns
    The IMetadataQueryParamater and'd with this object.

### or

    IMetadataQueryParameter or(IMetadataQueryParameter param)

  OR two metadata query parameters

  Parameters
    `param` -
  Returns
    The IMetadataQueryParameter or'd with this object.

### not

    IMetadataQueryParameter not(IMetadataQueryParameter param)

  NOT two metadata query parameters

  Parameters
    `param` -
  Returns
    The IMetadataQueryParameter or'd with this object.

### setMultiplicity

    void setMultiplicity(IMetadataQuery.Multiplicity multiplicity)

  Set the `Multiplicity` of a metadata query parameter

  Parameters
    `multiplicity` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.